/*******************************************************************
 *
 *	File:		CFrameBufferMgr.h
 *
 *	Author:		Peter van Sebille (peter@yipton.net)
 *
 *	(c) Copyright 2003, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

#ifndef __FRAME_BUFFER_MGR_H
#define __FRAME_BUFFER_MGR_H

#include "zoom_ldd.h"
#include "FrameTicker.h"
#include <gdi.h>

class CFrameBufferMgrBase : public CBase, public MFrameTickObserver
{
public:
	virtual void RemapFrameBuffer() = 0;
	virtual void RestoreFrameBuffer() = 0;
	
	virtual TUint8*	FrameBuffer() = 0;
	virtual TUint8*	ShadowFrameBuffer() = 0;
};

CFrameBufferMgrBase* CreateFrameBufferMgrL(CFrameTicker* aFrameTicker);


#endif			/* __FRAME_BUFFER_MGR_H */
