/*******************************************************************
 *
 *	File:		Zoom_ldd_if.h
 *
 *	Author:		Peter van Sebille (peter@yipton.net)
 *
 *	(c) Copyright 2003, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

#ifndef __ZOOM_LDD_IF_H
#define __ZOOM_LDD_IF_H

typedef TUint32 TPhysAddr;

#define LDD_NAME _L("ezoomldd")

#define ZOOM_LDD_CMD_LIN_TO_PHYS		1
#define ZOOM_LDD_CMD_REMAP_LIN_ADDR		2

typedef struct __zoom_cmd_remap_lin_addr
{
	TLinAddr	iLinAddr;	
	TPhysAddr	iPhysAddr;
	TBool		iChache;
	TBool		iBuffer;
} zoom_cmd_remap_lin_addr_t;


#ifndef PAGE_SIZE
#define PAGE_SIZE	4096
#endif

#define PAGE_SIZE_SHIFT 12


#endif			/* __ZOOM_LDD_IF_H */

