/*******************************************************************
 *
 *	File:		EZoom.h
 *
 *	Author:		Peter van Sebille (peter@yipton.net)
 *
 *	(c) Copyright 2003, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

#ifndef __ZOOM_H
#define __ZOOM_H

#ifndef __MARM__
#define __CPU_ARM
#endif

#include <e32std.h>
#include <e32base.h>
#include <k32std.h>
#include <m32std.h>

enum
{
	EZoomLddPanicNoFrameBuffer,
	EZoomLddPanicLevelOneIsZero,
	EZoomLddPanicLevelOneIsSectionDescriptor,
	EZoomLddPanicLevelOneIsFaultOrReserved,
	EZoomLddPanicPageIdIsZero
};


void Panic(TInt aPanic);


#endif			/* #define __ZOOM_H */

